-- hale_1.lua
-- A Lua Module to help control the model of the Hale Telescope
--  Selden Ball, September, 2007. All rights reserved. 
--
-- ==========================================================
-- the variables here are all globals: preserved between screen refreshes
-- most probably should be table elements, not individual variables.

second =  0.11574074051168E-04

minute = 60 * second
  hour = 60 * minute
   day = 24 * hour -- dam well better be 1.0000 (tested: it is)

-- arbitrary duration for all movements. For some it's too slow, for others it's too fast.
dT = 10*second

xAxis = celestia:newvector( 1, 0, 0)
yAxis = celestia:newvector( 0, 1, 0)
zAxis = celestia:newvector( 0, 0, 1)
  xPi = celestia:newrotation( xAxis, math.pi)
  yPi = celestia:newrotation( yAxis, math.pi)
  yR0 = celestia:newrotation( yAxis, 0)
  zPi = celestia:newrotation( zAxis, math.pi)
--====================================================================
-- command functions
--====================================================================
--===================================
-- functions to hide/reveal models
--===================================

-- the plinth supporting the yoke

plinthX = 0

HidePlinth = function (mydate)
	plinthX = 1e18
end
RevealPlinth = function (mydate)
	plinthX = 0
end
RevealLoresPlinth = function (mydate)
	plinthX = 1e18
end
