--====================================================================
-- command processor
--====================================================================
-- called from telescope orientation function
-- as early as possible in per-frame processing
-- otherwise there are brief visual glitches as one thing changes
-- but others don't

-- previous selection: restore immediately after recognizing command

selP = nil

-- table of commands:
-- command text (name of selected object) = command function:

cmds = {
 Hale_Hide_Plinth = HidePlinth,
 HHP                 = HidePlinth,
 Hale_Reveal_Plinth = RevealPlinth,
 HRP                 = RevealPlinth,
 }

hale_cmd = function (this_date)

  local sel = celestia:getselection()
  local sname = sel:name()

    todo = cmds[sname]
    if todo then 
	todo(this_date)
    	if (selP ~= nil) then celestia:select(selP) end -- restore previous selection

--  	local s = "Hale command:  name= "..sname
-- 	celestia:flash(s)
	return 1
    end

-- This selection is not recognized as a command: 
-- save it for reversion after next command

	selP = sel
	return 0
end
